
Redmine - Defect #23729

Unable to update some issues

2016-08-30 22:11 - Olga McCarthy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.2

Description

Hi, I am running into a weird issue on redmine 3.2.2. We've been using this version for a while now, and all of a sudden today I can't

update issues that are assigned to one particular user. Also if an issue has ever been assigned to that user but is now assigned to

someone else I can't update it either.

The error log reports no errors. We get an "Internal Error" in the browser.

Our system info:

Environment:

  Redmine version                3.2.2.stable

  Ruby version                   2.1.9-p490 (2016-03-30) [x86_64-linux]

  Rails version                  4.2.5.2

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.13

  Git                            2.7.4

  Filesystem                     

Redmine plugins:

  no plugin installed

History

#1 - 2016-08-31 04:16 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Olga McCarthy wrote:

The error log reports no errors. We get an "Internal Error" in the browser.

 Please describe more details.

What is "log"? Webserver? Redmine?

#2 - 2016-08-31 14:27 - Olga McCarthy

Sorry, the redmine log (production.log file).

We have since discovered that the user can create and update tickets himself, but can't assign them to anyone. He can assign the ticket to himself,

but after that he can't update it anymore. If he re-assigns it to noone he can update it again. We've only tested this with new tickets that have no

previous assignment history.

Thank you so much for looking into this!

#3 - 2016-08-31 17:17 - Toshi MARUYAMA

How about Webserver log?

Please describe more details about "Internal Error".

#4 - 2016-08-31 21:29 - Olga McCarthy

The error we get in the browser looks like this:
Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

 Good thinking about the apache error log. Here are the relevant lines. I replaced my private info with "..."

App 6308 stderr: Started PATCH "/issues/905" for ... at 2016-08-31 19:18:01 +0000

App 6308 stderr: Processing by IssuesController#update as HTML

App 6308 stderr:   Parameters: {...}

App 6308 stderr:   Current user: ...

App 6308 stderr:   Rendered mailer/_issue.text.erb (15.7ms)

App 6308 stderr:   Rendered mailer/issue_edit.text.erb within layouts/mailer (16.2ms)

App 6308 stderr:   Rendered mailer/_issue.html.erb (1.9ms)

App 6308 stderr:   Rendered mailer/issue_edit.html.erb within layouts/mailer (3.4ms)

App 6308 stderr: Completed 500 Internal Server Error in 365ms (ActiveRecord: 140.0ms)

App 6308 stderr:

App 6308 stderr: OpenSSL::SSL::SSLError (hostname "..." does not match the server certificate):

App 6308 stderr:   app/models/mailer.rb:458:in `deliver_mail'

App 6308 stderr:   config/initializers/10-patches.rb:154:in `deliver'

App 6308 stderr:   app/models/mailer.rb:98:in `block (2 levels) in deliver_issue_edit'

App 6308 stderr:   app/models/issue.rb:952:in `each_notification'

App 6308 stderr:   app/models/mailer.rb:97:in `block in deliver_issue_edit'

App 6308 stderr:   app/models/journal.rb:90:in `block in each_notification'

App 6308 stderr:   app/models/journal.rb:88:in `each'

App 6308 stderr:   app/models/journal.rb:88:in `each_notification'

App 6308 stderr:   app/models/mailer.rb:96:in `deliver_issue_edit'

App 6308 stderr:   app/models/journal.rb:302:in `send_notification'

App 6308 stderr:   app/models/journal.rb:67:in `save'

App 6308 stderr:   app/models/issue.rb:1672:in `create_journal'

App 6308 stderr:   app/models/issue.rb:182:in `create_or_update'

App 6308 stderr:   app/controllers/issues_controller.rb:487:in `block in save_issue_with_child_records'

App 6308 stderr:   app/controllers/issues_controller.rb:475:in `save_issue_with_child_records'

App 6308 stderr:   app/controllers/issues_controller.rb:180:in `update'

App 6308 stderr:   lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 Looks like this is the issue here:

App 6308 stderr: OpenSSL::SSL::SSLError (hostname "..." does not match the server certificate):

 I am using a different mail server than the server that redmine is running on. That should be ok, right? It's been ok so far anyway and nothing has

changed on the redmine server. It just suddenly stopped working.

#5 - 2016-08-31 22:46 - Olga McCarthy

So I contacted my mail provider and it turns out they moved servers without telling us. I updated the redmine configuration.yml accordingly and it's

working again. Problem solved. Thank you so much for steering me in the right direction!

#6 - 2016-09-01 03:34 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
